//---------------------------------------------------------------------------


#pragma hdrstop

#include "NotifierWizard.h"



//---------------------------------------------------------------------------

#pragma package(smart_init)

__fastcall TWizard::TWizard()
{
  //     (IDE)
  _di_IOTAServices IDEServices ;
  BorlandIDEServices -> Supports ( IDEServices ) ;
  IDENotifier = new TIDENotifier ( IDEServices ) ;
}
__fastcall TWizard::~TWizard()
{
  IDENotifier -> Destroyed() ;
  IDENotifier = 0 ;
}
//----------------------------------------------------

  //   IInterface
HRESULT __stdcall TWizard::QueryInterface(const GUID& iid, void** obj)
{
  QUERY_INTERFACE (IOTAMenuWizard, iid , obj ) ;
  QUERY_INTERFACE (IOTAWizard, iid , obj ) ;
  return inherited::QueryInterface(iid,obj) ;
}
ULONG   __stdcall TWizard::AddRef()
{
  return inherited::AddRef() ;
}
ULONG   __stdcall TWizard::Release()
{
  return inherited::Release() ;
}



//   NotifierObject
void __fastcall TWizard::AfterSave() {} ;
void __fastcall TWizard::BeforeSave(){} ;
void __fastcall TWizard::Destroyed() {} ;
void __fastcall TWizard::Modified()  {} ;


//   IOTAMenuWizard
AnsiString __fastcall TWizard::GetIDString ()
{
   return "KlenTools.wizard" ;
}
AnsiString __fastcall TWizard::GetName ()
{
  return "KlenTools library wizard" ;
}
AnsiString __fastcall TWizard::GetMenuText ()
{
  return "KlenTools..." ;
}
TWizardState __fastcall TWizard::GetState ()
{
 TWizardState State ;
 State << wsEnabled ;
 return State ;
}
void __fastcall TWizard::Execute ()
{
   TAboutForm *AboutForm = new TAboutForm (Application) ;
   AboutForm -> ShowModal () ;
   delete AboutForm ;
}

