//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "KlenUtils.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)


TComponent* KlenUtils::CreateComponent( TComponentClass CClass, TComponent *AOwner)
  {
    typedef TComponent *( __fastcall  *TConstructor)( TComponentClass, bool, TComponent *);
    TConstructor constructor = ((TConstructor *) CClass)[ vmtCreateObject - 1];
    return constructor( CClass, true, AOwner);
 };
//----------------------------------------------------------------------------
bool KlenUtils::IsReducibleProp ( TMetaClass* BaseClass , TPropInfo* PropInfo )
 {
   return GetObjectPropClass( PropInfo ) -> InheritsFrom( BaseClass ) ||
          (AnsiString ( GetObjectPropClass( PropInfo ) -> ClassName()) == AnsiString ( BaseClass -> ClassName())) ;
 }
//----------------------------------------------------------------------------
 bool KlenUtils::IsBorlandIDERunning ()
{
  return  Application -> ExeName.Pos("bcb.exe") &&
    AnsiString(Application -> MainForm -> ClassName()) == "TAppBuilder" ;
}
//----------------------------------------------------------------------------
/*bool KlenUtils::IsOwner( TComponent* Owner , TComponent* Comp )
{
  for ( int CompIndex = 0 ; CompIndex < Owner -> ComponentCount ; CompIndex ++ )
   {
    if ( Owner -> Components[CompIndex] == Comp )
     {
      return true ;
     }
   }
  return false ;
}*/
